<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.UserOrderMapper">
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.UserOrder">
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="del_flag" property="delFlag" jdbcType="CHAR"/>
        <result column="update_time" property="updateTime" jdbcType="TIMESTAMP"/>
        <result column="update_user" property="updateUser" jdbcType="VARCHAR"/>
        <result column="create_time" property="createTime" jdbcType="TIMESTAMP"/>
        <result column="create_user" property="createUser" jdbcType="VARCHAR"/>
        <result column="user_id" property="userId" jdbcType="INTEGER"/>
        <result column="lank_mark_id" property="lankMarkId" jdbcType="INTEGER"/>
        <result column="package_id" property="packageId" jdbcType="INTEGER"/>
        <result column="status_flag" property="statusFlag" jdbcType="INTEGER"/>
        <result column="pay_time" property="payTime" jdbcType="TIMESTAMP"/>
        <result column="pay_mode" property="payMode" jdbcType="INTEGER"/>
        <result column="remark" property="remark" jdbcType="VARCHAR"/>
        <result column="show_flag" property="showFlag" jdbcType="CHAR"/>
        <result column="totle_price" property="totlePrice" jdbcType="DECIMAL"/>
        <result column="cash" property="cash" jdbcType="DECIMAL"/>
        <result column="point" property="point" jdbcType="DECIMAL"/>
        <result column="deal_price" property="dealPrice" jdbcType="DECIMAL"/>
        <result column="market_code" property="marketCode" jdbcType="VARCHAR"/>
        <result column="coin" property="coin" jdbcType="DECIMAL"/>
    </resultMap>
    <sql id="Base_Column_List">
        <trim suffixOverrides=",">
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            user_id,

            lank_mark_id,

            package_id,

            status_flag,

            pay_time,

            pay_mode,

            remark,

            show_flag,

            totle_price,

            cash,

            point,

            deal_price,

            market_code,
            coin,

        </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer">
        select
        <include refid="Base_Column_List"/>
        from user_order
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
        delete from user_order
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.UserOrder" useGeneratedKeys="true"
            keyProperty="id">
        insert into user_order
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id!= null">
                id,
            </if>
            <if test="delFlag!= null">
                del_flag,
            </if>
            <if test="updateTime!= null">
                update_time,
            </if>
            <if test="updateUser!= null">
                update_user,
            </if>
            <if test="createTime!= null">
                create_time,
            </if>
            <if test="createUser!= null">
                create_user,
            </if>
            <if test="userId!= null">
                user_id,
            </if>
            <if test="lankMarkId!= null">
                lank_mark_id,
            </if>
            <if test="packageId!= null">
                package_id,
            </if>
            <if test="statusFlag!= null">
                status_flag,
            </if>
            <if test="payTime!= null">
                pay_time,
            </if>
            <if test="payMode!= null">
                pay_mode,
            </if>
            <if test="remark!= null">
                remark,
            </if>
            <if test="showFlag!= null">
                show_flag,
            </if>
            <if test="totlePrice!= null">
                totle_price,
            </if>
            <if test="cash!= null">
                cash,
            </if>
            <if test="point!= null">
                point,
            </if>
            <if test="dealPrice!= null">
                deal_price,
            </if>
            <if test="marketCode!= null">
                market_code,
            </if>
            <if test="coin!= null">
                coin,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">
                #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="userId != null">
                #{userId,jdbcType=INTEGER},
            </if>
            <if test="lankMarkId != null">
                #{lankMarkId,jdbcType=INTEGER},
            </if>
            <if test="packageId != null">
                #{packageId,jdbcType=INTEGER},
            </if>
            <if test="statusFlag != null">
                #{statusFlag,jdbcType=INTEGER},
            </if>
            <if test="payTime != null">
                #{payTime,jdbcType=TIMESTAMP},
            </if>
            <if test="payMode != null">
                #{payMode,jdbcType=INTEGER},
            </if>
            <if test="remark != null">
                #{remark,jdbcType=VARCHAR},
            </if>
            <if test="showFlag != null">
                #{showFlag,jdbcType=CHAR},
            </if>
            <if test="totlePrice != null">
                #{totlePrice,jdbcType=DECIMAL},
            </if>
            <if test="cash != null">
                #{cash,jdbcType=DECIMAL},
            </if>
            <if test="point != null">
                #{point,jdbcType=DECIMAL},
            </if>
            <if test="dealPrice != null">
                #{dealPrice,jdbcType=DECIMAL},
            </if>
            <if test="marketCode != null">
                #{marketCode,jdbcType=VARCHAR},
            </if>
            <if test="coin != null">
                #{coin,jdbcType=DECIMAL},
            </if>
        </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.UserOrder">
        update user_order
        <set>
            <if test="id != null">
                id= #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                del_flag= #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                create_user= #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="userId != null">
                user_id= #{userId,jdbcType=INTEGER},
            </if>
            <if test="lankMarkId != null">
                lank_mark_id= #{lankMarkId,jdbcType=INTEGER},
            </if>
            <if test="packageId != null">
                package_id= #{packageId,jdbcType=INTEGER},
            </if>
            <if test="statusFlag != null">
                status_flag= #{statusFlag,jdbcType=INTEGER},
            </if>
            <if test="payTime != null">
                pay_time= #{payTime,jdbcType=TIMESTAMP},
            </if>
            <if test="payMode != null">
                pay_mode= #{payMode,jdbcType=INTEGER},
            </if>
            <if test="remark != null">
                remark= #{remark,jdbcType=VARCHAR},
            </if>
            <if test="showFlag != null">
                show_flag= #{showFlag,jdbcType=CHAR},
            </if>
            <if test="totlePrice != null">
                totle_price= #{totlePrice,jdbcType=DECIMAL},
            </if>
            <if test="cash != null">
                cash= #{cash,jdbcType=DECIMAL},
            </if>
            <if test="point != null">
                point= #{point,jdbcType=DECIMAL},
            </if>
            <if test="dealPrice != null">
                deal_price= #{dealPrice,jdbcType=DECIMAL},
            </if>
            <if test="marketCode != null">
                market_code= #{marketCode,jdbcType=VARCHAR},
            </if>
            <if test="coin != null">
                coin= #{coin,jdbcType=DECIMAL},
            </if>
        </set>
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>

    </update>
    <select id="queryUserOrderByPage" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.UserOrder">
        select
        <include refid="Base_Column_List"/>
        from user_order
        <where>
            and del_flag = 'N'
            <if test="record.idStr != null and !&quot;&quot;.equals(record.idStr)">
                and id in (${record.idStr})
            </if>
            <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and id = #{record.id}
            </if>
            <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and del_flag = #{record.delFlag}
            </if>
            <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and update_time = #{record.updateTime}
            </if>
            <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and update_user = #{record.updateUser}
            </if>
            <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and create_time = #{record.createTime}
            </if>
            <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and create_user = #{record.createUser}
            </if>
            <if test="record.userId != null and !&quot;&quot;.equals(record.userId)">
                and user_id = #{record.userId}
            </if>
            <if test="record.lankMarkId != null and !&quot;&quot;.equals(record.lankMarkId)">
                and lank_mark_id = #{record.lankMarkId}
            </if>
            <if test="record.packageId != null and !&quot;&quot;.equals(record.packageId)">
                and package_id = #{record.packageId}
            </if>
            <if test="record.statusFlag != null and !&quot;&quot;.equals(record.statusFlag)">
                and status_flag = #{record.statusFlag}
            </if>
            <if test="record.payTime != null and !&quot;&quot;.equals(record.payTime)">
                and pay_time = #{record.payTime}
            </if>
            <if test="record.payMode != null and !&quot;&quot;.equals(record.payMode)">
                and pay_mode = #{record.payMode}
            </if>
            <if test="record.remark != null and !&quot;&quot;.equals(record.remark)">
                and remark = #{record.remark}
            </if>
            <if test="record.showFlag != null and !&quot;&quot;.equals(record.showFlag)">
                and show_flag = #{record.showFlag}
            </if>
            <if test="record.totlePrice != null and !&quot;&quot;.equals(record.totlePrice)">
                and totle_price = #{record.totlePrice}
            </if>
            <if test="record.cash != null and !&quot;&quot;.equals(record.cash)">
                and cash = #{record.cash}
            </if>
            <if test="record.point != null and !&quot;&quot;.equals(record.point)">
                and point = #{record.point}
            </if>
            <if test="record.dealPrice != null and !&quot;&quot;.equals(record.dealPrice)">
                and deal_price = #{record.dealPrice}
            </if>
            <if test="record.marketCode != null and !&quot;&quot;.equals(record.marketCode)">
                and market_code = #{record.marketCode}
            </if>
            <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR user_id LIKE concat('%',#{record.searchKey},'%')
                    OR lank_mark_id LIKE concat('%',#{record.searchKey},'%')
                    OR package_id LIKE concat('%',#{record.searchKey},'%')
                    OR status_flag LIKE concat('%',#{record.searchKey},'%')
                    OR pay_time LIKE concat('%',#{record.searchKey},'%')
                    OR pay_mode LIKE concat('%',#{record.searchKey},'%')
                    OR remark LIKE concat('%',#{record.searchKey},'%')
                    OR show_flag LIKE concat('%',#{record.searchKey},'%')
                    OR totle_price LIKE concat('%',#{record.searchKey},'%')
                    OR deal_price LIKE concat('%',#{record.searchKey},'%')
                    OR market_code LIKE concat('%',#{record.searchKey},'%')
                </trim>
            </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllUserOrder" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.UserOrder">
        select
        <include refid="Base_Column_List"/>
        from user_order
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="userId != null and !&quot;&quot;.equals(userId)">
                and user_id = #{userId}
            </if>
            <if test="lankMarkId != null and !&quot;&quot;.equals(lankMarkId)">
                and lank_mark_id = #{lankMarkId}
            </if>
            <if test="packageId != null and !&quot;&quot;.equals(packageId)">
                and package_id = #{packageId}
            </if>
            <if test="statusFlag != null and !&quot;&quot;.equals(statusFlag)">
                and status_flag = #{statusFlag}
            </if>
            <if test="payTime != null and !&quot;&quot;.equals(payTime)">
                and pay_time = #{payTime}
            </if>
            <if test="payMode != null and !&quot;&quot;.equals(payMode)">
                and pay_mode = #{payMode}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="showFlag != null and !&quot;&quot;.equals(showFlag)">
                and show_flag = #{showFlag}
            </if>
            <if test="totlePrice != null and !&quot;&quot;.equals(totlePrice)">
                and totle_price = #{totlePrice}
            </if>
            <if test="cash != null and !&quot;&quot;.equals(cash)">
                and cash = #{cash}
            </if>
            <if test="point != null and !&quot;&quot;.equals(point)">
                and point = #{point}
            </if>
            <if test="dealPrice != null and !&quot;&quot;.equals(dealPrice)">
                and deal_price = #{dealPrice}
            </if>
            <if test="marketCode != null and !&quot;&quot;.equals(marketCode)">
                and market_code = #{marketCode}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR user_id LIKE concat('%',#{searchKey},'%')
                    OR lank_mark_id LIKE concat('%',#{searchKey},'%')
                    OR package_id LIKE concat('%',#{searchKey},'%')
                    OR status_flag LIKE concat('%',#{searchKey},'%')
                    OR pay_time LIKE concat('%',#{searchKey},'%')
                    OR pay_mode LIKE concat('%',#{searchKey},'%')
                    OR remark LIKE concat('%',#{searchKey},'%')
                    OR show_flag LIKE concat('%',#{searchKey},'%')
                    OR totle_price LIKE concat('%',#{searchKey},'%')
                    OR deal_price LIKE concat('%',#{searchKey},'%')
                    OR market_code LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryUserOrder" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.UserOrder">
        select
        <include refid="Base_Column_List"/>
        from user_order
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="userId != null and !&quot;&quot;.equals(userId)">
                and user_id = #{userId}
            </if>
            <if test="lankMarkId != null and !&quot;&quot;.equals(lankMarkId)">
                and lank_mark_id = #{lankMarkId}
            </if>
            <if test="packageId != null and !&quot;&quot;.equals(packageId)">
                and package_id = #{packageId}
            </if>
            <if test="statusFlag != null and !&quot;&quot;.equals(statusFlag)">
                and status_flag = #{statusFlag}
            </if>
            <if test="payTime != null and !&quot;&quot;.equals(payTime)">
                and pay_time = #{payTime}
            </if>
            <if test="payMode != null and !&quot;&quot;.equals(payMode)">
                and pay_mode = #{payMode}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="showFlag != null and !&quot;&quot;.equals(showFlag)">
                and show_flag = #{showFlag}
            </if>
            <if test="totlePrice != null and !&quot;&quot;.equals(totlePrice)">
                and totle_price = #{totlePrice}
            </if>
            <if test="cash != null and !&quot;&quot;.equals(cash)">
                and cash = #{cash}
            </if>
            <if test="point != null and !&quot;&quot;.equals(point)">
                and point = #{point}
            </if>
            <if test="dealPrice != null and !&quot;&quot;.equals(dealPrice)">
                and deal_price = #{dealPrice}
            </if>
            <if test="marketCode != null and !&quot;&quot;.equals(marketCode)">
                and market_code = #{marketCode}
            </if>

        </where>
        LIMIT 1
    </select>
    <update id="delete">
        UPDATE user_order SET del_flag = 'Y'
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.UserOrder">
        select
        <include refid="Base_Column_List"/>
        from user_order
        <where>
            and del_flag = 'N'
        </where>
        order by id desc
    </select>
</mapper>

